Enquiry Order Details
Interface should be called on the server side, seeHattori API。
Interface Dxplaination
Interface name
getOrder
Functional description
- After the service provider purchases the goods, it can inquire the purchase order details through this interface.
Calling mode
HTTPS call
Request parameters
| attribute | type | Required | Introductions |
| access_Token | string | yes | Interface invokes the certificate, which is URL Parameters, non Body Parameters. access_Token is available throughgetAccessTokenInterface is obtained. |
| orderId | string | yes | Servicer Order ID, such as "DD2981741311549200000" |
Return parameters
| attribute | type | Introductions |
| errcode | number | Error code |
| errmsg | string | Error message |
| order | object Order | Order Data |
Order
| attribute | type | Introductions |
| orderId | string | Order ID |
| status | number | Order status, value meaning see OrderStatus |
| createTime | number | Order creation timestamp (in milliseconds) |
| updateTime | number | Order update timestamp (in milliseconds) |
| orderPrice | string | Order Price (in Cents, 64 Digits) |
| payInfo | object | Payment related data |
| payInfo.applyPayTime | number | Time stamp of payment order (in seconds) |
| payInfo.finishPayTime | number | Payment Completion Timestamp (in seconds), This field is not returned if the payment is not successful |
| orderProductInfo | object | OrderProductInfo, as defined in OrderProductInfo |
| invoiceInfo | object | Invoice related data, not requested invoice does not return this field |
| invoiceInfo.invoiceApplyTime | number | Invoice Application Time Stamp (in seconds) |
| invoiceInfo.invoiceStatus | number | Invoice request status, value meaning see InvoiceStatus |
| usage | object | Order to purchase the use of resource packs, do not return the field if not paid successfully |
| usage.used | string | Used (64 digits) |
| usage.all | string | Total (64 digits) |
OrderProductInfo
| attribute | type | Introductions |
| spSpuId | string | Wholesale goods purchased by service providers SPU ID |
| spSkuId | string | Wholesale goods purchased by service providers SKU ID |
| spBizId | number | Wholesale Goods Purchased by Service Provider Business ID |
| spuName | string | Product SPU Name |
| skuName | string | Product SKU Name |
| skuCnt | number | Number of SKUs purchased |
| validityBeginTime | number | Resource pack expiration start timestamp (in seconds) |
| validityEndTime | number | Resource pack expiration timestamp (in seconds) |
OrderStatus
Enumeration Values for Order Status
| value | Introductions |
| 1 | To be paid |
| 2 | Pay for success |
| 3 | Order Timeout |
| 5 | Refunds |
| 6 | Refund Successful |
| 7 | Failure to refund |
| 9 | Order Cancellation |
InvoiceStatus
Enumeration value of invoice status
| value | Introductions |
| 1 | Billed |
| 2 | Billed |
| 3 | Billing Cancellation |
| 4 | Debiting failure |
Call Example
Example Dxplaination: HTTPS calls
Sample Request Data
Return Data Example
Error code
| Error code | Error code | Solutions |
| 10120002 | Parameter error | Check the parameters |
| 10120405 | Method not available | Use the correct method to request against the document |